KYC Age Verification

API operation related with kyc age verification.


Parameters

Name In Type Required Description
Authorization header string true Bearer ‘token’
body body KYCAgeVerificationVerifyRequestBody true ‘none’

Request body - instance of KYCAgeVerificationVerifyRequestBody

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
{
  "ageThreshold": 120,
  "phoneNumber": "+346661113334",
  "idDocument": "string",
  "name": "string",
  "givenName": "string",
  "familyName": "string",
  "middleNames": "string",
  "familyNameAtBirth": "string",
  "birthdate": "2019-08-24",
  "email": "user@example.com",
  "includeContentLock": false,
  "includeParentalControl": false
}
Name Type Required Description
ageThreshold AgeThreshold true The age to be verified. The indicated range is a global definition of maximum and minimum values allowed to be requested. It is important to note that this range might be more restrictive in some implementations due to local regulations of a country i.e. A country does not allow to request for an age under 18. This limitation must be informed during the onboarding process.
phoneNumber PhoneNumber false A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with ‘+’.
idDocument IdDocument false Id number associated to the official identity document in the country. It may contain alphanumeric characters.
name Name false Complete name of the customer, usually composed of first/given name and last/family/sur- name in a country. Depending on the country, the order of first/give name and last/family/sur- name varies, and middle name could be included. It can use givenName, middleNames, familyName and/or familyNameAtBirth. For example, in ESP, name+familyName; in NLD, it can be name+middleNames+familyName or name+middleNames+familyNameAtBirth, etc.
givenName GivenName false First/given name or compound first/given name of the customer.
familyName FamilyName false Last name, family name, or surname of the customer.
middleNames MiddleNames false Middle name/s of the customer.
familyNameAtBirth FamilyNameAtBirth false Last/family/sur- name at birth of the customer.
birthdate Birthdate false The birthdate of the customer, in RFC 3339 / ISO 8601 calendar date format (YYYY-MM-DD).
email Email false Email address of the customer in the RFC specified format (local-part@domain).
includeContentLock IncludeContentLock false If this parameter is included in the request with value true, the response property contentLock will be returned. If it is not included or its value is false, the response property will not be returned.
includeParentalControl IncludeParentalControl false If this parameter is included in the request with value true, the response property parentalControl will be returned. If it is not included or its value is false, the response property will not be returned.

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20

curl -X POST https://apimanager-opengateway.sta.k8s.masmovil.com/kyc-age-verification/v0/verify \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: string" \
 --data-raw "{
  'ageThreshold': 120,
  'phoneNumber': '+346661113334',
  'idDocument': 'string',
  'name': 'string',
  'givenName': 'string',
  'familyName': 'string',
  'middleNames': 'string',
  'familyNameAtBirth': 'string',
  'birthdate': '2019-08-24',
  'email': 'user@example.com',
  'includeContentLock': false,
  'includeParentalControl': false
}" 

Responses

Code Meaning Description Schema
200 OK OK KYCAgeVerificationVerifyResponseBody
400 Bad Request Problem with the client request ErrorInfo
401 Unauthorized Unauthorized ErrorInfo
403 Forbidden Forbidden ErrorInfo
404 Not Found Not found ErrorInfo
422 Unprocessable Entity Unprocessable Content ErrorInfo
500 Internal Server Error Server error ErrorInfo
503 Service Unavailable Service unavailable. Typically the server is down. ErrorInfo
504 Gateway Time-out Request time exceeded. If it happens repeatedly, consider reducing the request complexity ErrorInfo

Endpoints

Phone number verify

    Sim Swap

      Device Swap

        KYC Match

          KYC Age Verification

            Consent Information

              Authentication

                Phone number share